* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #eeeded;
    font-family: Arial, Helvetica, sans-serif;
}

.score {
    position: absolute;
    right: 5rem;
    top: 3rem;
    font-size: 2em;
    font-weight: bold;
}

.container {
    width: 100vw;
    height: 100vh;
    margin: auto;
    transform: scale(0.7);
    display: flex;
    align-self: center;
    justify-self: center;
    flex-wrap: wrap;
    position: relative;
    perspective: 800px;
}

.container .card-container {
    width: calc(25% - 10px);
    height: calc(33% - 10px);
    margin: 5px;
    position: relative;
    transform-style: preserve-3d;
    cursor: pointer;
    border-radius: 50px;
    background-color: #ffffff;
    border-radius: 5px;
    opacity: 0.5;
    transition: opacity 0.3s,
                transform 0.3s;
}

.container .card-container:active {
    transform: scale(.95);
}

.container .card-container.flip {
    transform: rotateY(180deg);
    transition: .5s;
}

.card-container .front, .card-container .back {
    position: absolute;
    backface-visibility: hidden;
    height: 100%;
    width: 100%;
    background-color: #ffffff;
    border-radius: 5px;
}

.card-container .front {
    transform: rotateY(180deg);
}

.start-game {
    background-color: rgba(0, 0, 0, 0.7);
    position: fixed;
    width: 100vw;
    height: 100vh;
    transform: translateY(-100vh);
    display: flex;
    transition: transform 0.5s;
}

.start-game span {
    margin: auto;
    display: block;
    color: white;
    font-size: 2em;
    background-color: black;
    padding: 0.5em;
    border: 1px solid white;
    border-radius: 5px;
    cursor: pointer;
}

.start-game span:active {
    color: red;
}